petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMFieldDestroy

destroy a DMField

### Synopsis

    #include "petscdmfield.h"
    #include "petscdmfield.h"
    PetscErrorCode DMFieldDestroy(DMField *field)

Collective

### Input Arguments

field -address of DMField

### See Also

DMFieldCreate()

### Level

advanced

### Location

src/dm/field/interface/dmfield.c

### Examples

src/dm/field/examples/tutorials/ex1.c.html

### Implementations

DMFieldDestroy_DA in src/dm/field/impls/da/dmfieldda.c
DMFieldDestroy_DS in src/dm/field/impls/ds/dmfieldds.c
DMFieldDestroy_Shell in src/dm/field/impls/shell/dmfieldshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages